Bug 1151091 - Registration of non-provisioned hosts to the installer
Summary: Registration of non-provisioned hosts to the installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z2
: Installer
Assignee: Jiri Stransky
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-09 14:50 UTC by Jiri Stransky
Modified: 2019-06-13 08:06 UTC (History)
5 users (show)

Fixed In Version: rhel-osp-installer-0.4.2-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-04 17:03:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Jiri Stransky 2014-10-09 14:50:17 UTC
Hosts which were provisioned by the OSP Installer get automatically discovered and registered. However, we'd like to also have an option to register additional hosts which were not provisioned from OSP Installer.

Comment 8 Alexander Chuzhoy 2014-10-16 16:15:04 UTC
Verified:
rhel-osp-installer-0.4.4-1.el6ost.noarch
openstack-puppet-modules-2014.1-24.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch


Was able to add the host to the UI by running the rhel-osp-installer-register-host script.  
This requires:
1. Before: Adding the host to the DNS.
2. Before: Copy the ssh key to the host being added (for passwordless SSH login)
2. After: Signing the certificate


There's still an issue with adding the new host to a deployment. It is reported in BZ #1153720.

Comment 11 errata-xmlrpc 2014-11-04 17:03:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.